# Class InternalRewriteMap

java.lang.Object
org.apache.catalina.valves.rewrite.InternalRewriteMap

public class InternalRewriteMap extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `InternalRewriteMap.Escape`
  `static class`
  `InternalRewriteMap.LowerCase`
  `static class`
  `InternalRewriteMap.Unescape`
  `static class`
  `InternalRewriteMap.UpperCase`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalRewriteMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RewriteMap`
  `toMap(String name)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalRewriteMap

    public InternalRewriteMap()

- ## Method Details

  - ### toMap

    public static RewriteMap toMap(String name)